#include "menuseparator.h"

void MenuSeparator::input(const kku::SystemEvent& event)
{
    Widget::input(event);
}

void MenuSeparator::update(const kku::microsec& dt)
{
    Widget::update(dt);
}

void MenuSeparator::display() const
{
    _line->display();
}

void MenuSeparator::setRect(const kku::Area<float>& rect)
{
    _rect = rect;

    //_line
}

void MenuSeparator::setPosition(const kku::Point& position)
{
    (void)position;
}

void MenuSeparator::move(const kku::Vector2<float>& delta)
{
    (void)delta;
}

bool MenuSeparator::isUnderMouse(const kku::Point& position) const
{
    return _is_visible && _rect.contains(position);
}

kku::Area<float> MenuSeparator::getRect() const
{
    return {};
}

kku::Point MenuSeparator::getPosition() const
{
    return kku::Point{};
}
